<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

if($_GET['cadena']) $cadena=$_GET['cadena']; else $cadena=$_POST['cadena'];
if($_GET['clientePropietario']) $clientePropietario=$_GET['clientePropietario']; else $clientePropietario=$_POST['clientePropietario'];


//4-7-2023 Añadimos la posibilidad de que un EAN esté en varios productos. TICKET 23052748
//en este caso, el resultado ya viene previamente construido desde leer-codigo-barras.php y no hacemos la llamada ws
if($_POST['resultadoPreviamenteObtenido']) $resultadoPreviamenteObtenido=$_POST['resultadoPreviamenteObtenido']; else $resultadoPreviamenteObtenido='';
if($_POST['eanDun']) $eanDun=$_POST['eanDun']; else $eanDun='';


if(!$resultadoPreviamenteObtenido) {

	$peticion='SGAUtils#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#BUSCAPRODUCTOS#'.$cadena.'#'.$clientePropietario;
	
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	if($_GET['traza']=='si') {
		echo "<p>".$peticion."</p>";
		print_r($resultado);
	}

}


if(!$resultado[0]['Error'] || $resultadoPreviamenteObtenido) {

	if($resultadoPreviamenteObtenido) {
	
		$resultado=array();
		
		$valores=explode('@@MULTIPLE@@',$resultadoPreviamenteObtenido);
		
		foreach($valores as $item) {
		
			$valores2=explode('#',$item);
		
			if($valores2[0]) {
			
				$producto=array();
				$producto['Producto']=$valores2[0];
				$producto['Descripcion']=$valores2[3];
				$producto['EmbalajePrimarioCaja']=$valores2[2];
				$producto['TieneGestionFCaducidad']=$valores2[4];
				$producto['TieneGestionLotes']=$valores2[5];
				$producto['TieneGestionNSerie']=$valores2[6];
				$producto['PosicionPicking']=$valores2[7];
				
				$resultado[]=$producto;
			}
		
		}
		
	}
	
	if($cadena) {
		?><p>Resultados que coinciden con la búsqueda: <strong><?php echo $cadena; ?></strong></p><?php
	}
	else if($eanDun) {
		?><p>Resultados que coinciden con el EAN o DUN: <strong><?php echo $eanDun; ?></strong></p><?php
	}
	
	?>
	<table class="tablaFormateada" style="width:1000px">
		<tr>
			<th>Código</th>
			<th>Descripción</th>
		</tr>
		<?php foreach($resultado as $producto) { ?>
        	<tr style="height:70px" class="clicable lineaBusqueda" Producto="<?php echo $producto['Producto']; ?>" Descripcion="<?php echo $producto['Descripcion']; ?>" EmbalajePrimarioCaja="<?php echo $producto['EmbalajePrimarioCaja']; ?>" TieneGestionFCaducidad="<?php echo $producto['TieneGestionFCaducidad']; ?>" TieneGestionLotes="<?php echo $producto['TieneGestionLotes']; ?>" TieneGestionNSerie="<?php echo $producto['TieneGestionNSerie']; ?>" PosicionPicking="<?php echo $producto['PosicionPicking']; ?>" TieneGestionPrecinta="<?php echo $producto['TieneGestionPrecinta']; ?>" Decimales="<?php echo $producto['Decimales']; ?>" UMint="<?php echo $producto['UMint']; ?>">
                <td><?php echo $producto['Producto']; ?></td>
                <td><?php echo $producto['Descripcion']; ?></td>
            </tr>
		<?php } ?>
	</table>

<script>
		
	$(document).ready(function() {
	
		$('.lineaBusqueda').on("click",function(){
		
			carga( $(this).attr('Producto'),$(this).attr('Descripcion'),$(this).attr('EmbalajePrimarioCaja'),$(this).attr('TieneGestionFCaducidad'),$(this).attr('TieneGestionLotes'),$(this).attr('TieneGestionNSerie'),$(this).attr('PosicionPicking'),$(this).attr('TieneGestionPrecinta'),$(this).attr('Decimales'),$(this).attr('UMint'));
			
			<?php if($_POST['ubicacion']=='si') { ?>
			$("#ubicacionInicial").focus();
			<?php } ?>
		
		});
		
	});
		
</script>
	<?php
}
else {
	?>
    <p><img src="<?php echo $rutaHtml; ?>/img/iconos/error.png" width="60" height="60" style="margin-bottom:10px"><br>
    ERROR: No hay ningún resultado con ese criterio de búsqueda.</p>
	<?php
}
?>
<p><input type="submit" name="botonCerrarPopup" id="botonCerrarPopup" value="Cerrar" class="boton"/></p>
<script>
		
	$(document).ready(function() {
	
		$('#botonCerrarPopup').on("click",function(){
			
			$('#detalleBusqueda').html('');
			$('#popupBusqueda').hide();
					
		});
		
	});
		
</script>